# Interface MethodEntryEvent

All Superinterfaces:
  `Event, Locatable, LocatableEvent, Mirror`

public interface MethodEntryEvent extends LocatableEvent
Notification of a method invocation in the target VM. This event occurs after entry into the invoked method and before any code has executed. Method entry events are generated for both native and non-native methods.

In some VMs method entry events can occur for a particular thread before its `ThreadStartEvent` occurs if methods are called as part of the thread's initialization.

Since:
  1.3
See Also:
  - `EventQueue`

## Method Summary

Modifier and Type
Method
Description
`Method`
`method()`
Returns the method that was entered.

### Methods declared in interface Event

`request`
Modifier and Type
Method
Description
`EventRequest`
`request()`

### Methods declared in interface Locatable

`location`
Modifier and Type
Method
Description
`Location`
`location()`
Returns the `Location` of this mirror, if there is executable code associated with it.

### Methods declared in interface LocatableEvent

`thread`
Modifier and Type
Method
Description
`ThreadReference`
`thread()`
Returns the thread in which this event has occurred.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.

## Method Details

### method

Method method()
Returns the method that was entered.

Returns:
  a `Method` which mirrors the method that was entered.